#ifndef MYDIALOG_H
#define MYDIALOG_H

#include <QDialog>

namespace Ui {
	class MyDialog;
}

class MyDialog : public QDialog
{
	Q_OBJECT

public:
	explicit MyDialog(QWidget *parent = 0);
	~MyDialog();

public slots:
	void inputData ( const QByteArray & data );

protected slots:
	void onTextChanged ();

signals:
	void dataOutputted ( const QByteArray & data );

private:
	Ui::MyDialog *ui;
	int current_index;
};

#endif // MYDIALOG_H
